.custom-select-container {
  position: relative;
  min-width: 100px;
  width: auto;
  height: 40px;
  background: #fff;
  border: 1px solid #ccc;
  cursor: pointer;
}

.custom-select-container:hover {
  border-color: #91c2f6;
}

.custom-select-container .select-selected {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  margin-right: 35px;
  width: calc(100% - 40px);
  height: 40px;
}

.custom-select-container .select-selected:after {
  position: absolute;
  content: "";
  top: 16px;
  right: 10px;
  width: 0;
  height: 0;
  border: 5px solid transparent;
  border-color: #1E87F0 transparent transparent transparent;
}

.custom-select-container .select-selected.select-arrow-active:after {
  border-color: transparent transparent #1E87F0 transparent;
  top: 10px;
}

.custom-select-container .select-items div,
.custom-select-container .select-selected {
  color: #222;
  padding: 8px 16px;
  transition: 0.2s ease-out 0s;
}

.custom-select-container .select-items div {
  cursor: pointer;
  border-bottom: 1px solid #e5e5e5;
}

.custom-select-container .select-items {
  position: absolute;
  background-color: #fff;
  top: calc(100% + 1px);
  left: 0;
  right: 0;
  z-index: 99;
  max-height: 300px;
  overflow-x: hidden;
  overflow-y: auto;
  border: 1px solid #e5e5e5;
  box-shadow: 0 5px 5px rgba(0, 0, 0, 0.1);
  transition: 0.2s ease-out 0s;
}

.custom-select-container .select-hide {
  display: none;
}

.custom-select-container .select-items div:hover,
.custom-select-container .same-as-selected {
  color: #fff;
  background-color: #91c2f6;
}

.custom-select-container .select-search-input {
  position: absolute;
  left: 0px;
  top: 0px;
  width: calc(100% - 55px);
  height: 38px;
  padding: 0 10px;
  z-index: 100;
  background: #fff;
  color: #222;
  border: none;
  outline: none;
  transition: 0.2s ease-out 0s;
}
